> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/bolivia/banktransfer.md).

# BankTransfer

## Submit a payout by Bank Transfer in Bolivia.

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by Bank Transfer in Bolivia.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | String | Your App ID in payout platform.     |
| Authorization<mark style="color:red;">\*</mark> | String | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                                                                                              |
| ---------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| document\_type<mark style="color:red;">\*</mark>     | String | Beneficiary's identification document type. One of: `CI`, `CE` or `NIT` -                                                                                                                                |
| document\_id<mark style="color:red;">\*</mark>       | String | Beneficiary's identification number.                                                                                                                                                                     |
| name<mark style="color:red;">\*</mark>               | String | Beneficiary's full name. Length: 5–100 characters.                                                                                                                                                       |
| country<mark style="color:red;">\*</mark>            | String | Fixed value: `BOL` for Bolivia.                                                                                                                                                                          |
| method<mark style="color:red;">\*</mark>             | String | Fixed value: `BANKTRANSFER`.                                                                                                                                                                             |
| account\_type<mark style="color:red;">\*</mark>      | String | Beneficiary's bank account type. One of: `SAVINGS`, `CHECKING`.                                                                                                                                          |
| account<mark style="color:red;">\*</mark>            | String | Beneficiary's bank account number. Length: 7–14 digits.                                                                                                                                                  |
| bank\_code<mark style="color:red;">\*</mark>         | String | Bank code of the beneficiary's bank. See [Bank Code](https://docs.pagsmile.com/payout/banklist/bank-in-bolivia) in Bolivia.                                                                              |
| additional\_remark<mark style="color:red;">\*</mark> | String | Description shown on the beneficiary's bank statement. Max length: 40 characters.                                                                                                                        |
| notify\_url<mark style="color:red;">\*</mark>        | String | Where pagsmile will send notifications to.                                                                                                                                                               |
| arrival\_currency<mark style="color:red;">\*</mark>  | String | Fixed value: `BOB`.                                                                                                                                                                                      |
| source\_currency<mark style="color:red;">\*</mark>   | String | Merchant account currency. One of: `USD`, `EUR`, `GBP`.                                                                                                                                                  |
| amount\_type                                         | String | <p>Specifies whether the payout amount is based on the source amount or arrival amount. One of: <code>source\_amount</code>, <code>arrival\_amount</code>.<br>Default: <code>arrival\_amount</code>.</p> |
| amount<mark style="color:red;">\*</mark>             | String | Payout amount. Supports up to 2 decimal places. Range: 2.00–6,500.00 USD.                                                                                                                                |
| fee\_bear<mark style="color:red;">\*</mark>          | String | <p>Specifies who bears the processing fee.</p><p>One of: <code>merchant</code>, <code>beneficiary</code>.</p>                                                                                            |
| custom\_code<mark style="color:red;">\*</mark>       | String | <p>Merchant Payout ID</p><p>Max length: 50 characters.</p>                                                                                                                                               |

{% tabs %}
{% tab title="200: OK submit successfully" %}

```javascript
{
    "code":200,
    "msg":"success",
    "time":1780992300,
    "data"{
    "id":"TS202***JBBO",
    "custom_code":"custom_code1616****Dx",
    "arrival_amount":"9.9",
    "arrival_currency":"BOB",
    "source_amount":"1.44",
    "source_currency":"USD",
    "status":"IN_PROCESSING"}
}

```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="400: Bad Request order already existed" %}

```javascript
{
    "code": 4001020,
    "msg": "order already existed",
    "time": 1628580940,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": "9.9",
    "source_currency": "USD",
    "arrival_currency": "BOB",
    "fee_bear": "merchant",
    "name": "Test",
    "document_type": "CI",
    "document_id": "91**12",
    "account_type": "SAVINGS",
    "account": "32***32",
    "custom_code": "custom_code16***XNDx",
    "notify_url": "https://notify.url",
    "method": "BANKTRANSFER",
    "additional_remark": "pagsmile payout test",
    "country": "BOL",
    "bank_code": "001"
}'
```

{% hint style="info" %}
Note: ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is the authorization token associated with the test App ID.
{% endhint %}

## Example of Document

<table><thead><tr><th width="175.16015625">Document Type</th><th width="102.25390625">Length</th><th>Document Example</th><th>Description</th></tr></thead><tbody><tr><td>CI</td><td>7</td><td>7794986</td><td>Cedula de Identidad</td></tr><tr><td>CE</td><td>8</td><td>BO123456</td><td>Cedula de Identidad de Extranjero</td></tr><tr><td>NIT</td><td>4 - 15</td><td>419326025</td><td>Número de Identificación Tributaria</td></tr></tbody></table>

## Example of Account

| Account Type | Account Length | Account Formart |
| ------------ | -------------- | --------------- |
| SAVINGS      | 7-14           | Numberic        |
| CHECKING     | 7-14           | Numberic        |
